package com.kingdee.eas.hr.project;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractProjectManagementInfo extends com.kingdee.eas.hr.base.HRBillBaseInfo implements Serializable 
{
    public AbstractProjectManagementInfo()
    {
        this("id");
    }
    protected AbstractProjectManagementInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.hr.project.ProjectManagementEntryCollection());
    }
    /**
     * Object: Ŀ 's ¼ property 
     */
    public com.kingdee.eas.hr.project.ProjectManagementEntryCollection getEntrys()
    {
        return (com.kingdee.eas.hr.project.ProjectManagementEntryCollection)get("entrys");
    }
    /**
     * Object:Ŀ's Ƿƾ֤property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:Ŀ's Ŀproperty 
     */
    public String getProjectCode()
    {
        return getString("projectCode");
    }
    public void setProjectCode(String item)
    {
        setString("projectCode", item);
    }
    /**
     * Object:Ŀ's Ŀproperty 
     */
    public String getProjectName()
    {
        return getString("projectName");
    }
    public void setProjectName(String item)
    {
        setString("projectName", item);
    }
    /**
     * Object:Ŀ's Ŀproperty 
     */
    public com.kingdee.eas.hr.project.projectLevel getProjectLevel()
    {
        return com.kingdee.eas.hr.project.projectLevel.getEnum(getString("projectLevel"));
    }
    public void setProjectLevel(com.kingdee.eas.hr.project.projectLevel item)
    {
		if (item != null) {
        setString("projectLevel", item.getValue());
		}
    }
    /**
     * Object: Ŀ 's Ŀ property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getProjectManager()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("projectManager");
    }
    public void setProjectManager(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("projectManager", item);
    }
    /**
     * Object:Ŀ's ĿԤƿʼʱproperty 
     */
    public java.util.Date getExpectedStartTime()
    {
        return getDate("expectedStartTime");
    }
    public void setExpectedStartTime(java.util.Date item)
    {
        setDate("expectedStartTime", item);
    }
    /**
     * Object:Ŀ's ĿԤƽʱproperty 
     */
    public java.util.Date getExpectedEndTime()
    {
        return getDate("expectedEndTime");
    }
    public void setExpectedEndTime(java.util.Date item)
    {
        setDate("expectedEndTime", item);
    }
    /**
     * Object:Ŀ's Ŀproperty 
     */
    public java.math.BigDecimal getTotalPersonDays()
    {
        return getBigDecimal("totalPersonDays");
    }
    public void setTotalPersonDays(java.math.BigDecimal item)
    {
        setBigDecimal("totalPersonDays", item);
    }
    /**
     * Object:Ŀ's ɱproperty 
     */
    public java.math.BigDecimal getCostAmount()
    {
        return getBigDecimal("costAmount");
    }
    public void setCostAmount(java.math.BigDecimal item)
    {
        setBigDecimal("costAmount", item);
    }
    /**
     * Object:Ŀ's עproperty 
     */
    public String getNotes()
    {
        return getString("notes");
    }
    public void setNotes(String item)
    {
        setString("notes", item);
    }
    /**
     * Object:Ŀ's ѱproperty 
     */
    public java.math.BigDecimal getWorkerDaysReported()
    {
        return getBigDecimal("workerDaysReported");
    }
    public void setWorkerDaysReported(java.math.BigDecimal item)
    {
        setBigDecimal("workerDaysReported", item);
    }
    /**
     * Object:Ŀ's ռproperty 
     */
    public java.math.BigDecimal getProDayConsumption()
    {
        return getBigDecimal("proDayConsumption");
    }
    public void setProDayConsumption(java.math.BigDecimal item)
    {
        setBigDecimal("proDayConsumption", item);
    }
    /**
     * Object:Ŀ's property 
     */
    public java.math.BigDecimal getChangedManDays()
    {
        return getBigDecimal("changedManDays");
    }
    public void setChangedManDays(java.math.BigDecimal item)
    {
        setBigDecimal("changedManDays", item);
    }
    /**
     * Object:Ŀ's Ƿproperty 
     */
    public boolean isBeingChanged()
    {
        return getBoolean("beingChanged");
    }
    public void setBeingChanged(boolean item)
    {
        setBoolean("beingChanged", item);
    }
    /**
     * Object:Ŀ's ״̬property 
     */
    public com.kingdee.eas.hr.project.projectState getProjectState()
    {
        return com.kingdee.eas.hr.project.projectState.getEnum(getInt("projectState"));
    }
    public void setProjectState(com.kingdee.eas.hr.project.projectState item)
    {
		if (item != null) {
        setInt("projectState", item.getValue());
		}
    }
    /**
     * Object:Ŀ's Ŀƻproperty 
     */
    public java.math.BigDecimal getPlannedManDays()
    {
        return getBigDecimal("plannedManDays");
    }
    public void setPlannedManDays(java.math.BigDecimal item)
    {
        setBigDecimal("plannedManDays", item);
    }
    /**
     * Object:Ŀ's Ƿǵһproperty 
     */
    public boolean isIsFirstEnabled()
    {
        return getBoolean("isFirstEnabled");
    }
    public void setIsFirstEnabled(boolean item)
    {
        setBoolean("isFirstEnabled", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("B15489DB");
    }
}