package com.qy.worksheetsystem.service;

import com.qy.worksheetsystem.model.MessageResult;
import com.qy.worksheetsystem.util.JWTUtil;
import com.qy.worksheetsystem.vo.InsertJobWorkingVO;
import org.apache.commons.lang3.StringUtils;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;


public interface PersonWorkService {

    @Transactional
    public Map<String,Object> insertWork(Map<String,Object> param);

    public List<Map<String, Object>> getAvailableDateInfo(String number, String startDate, String endDate);
    List<Map<String,Object>> getPersonWorkList(String number,String beginTime, String endTime, Boolean state);
    List<Map<String,Object>> getPersonWorkSumInfo(String number,String beginTime, String endTime, Boolean state);
}